Author: hasufell <hasufell@gentoo.org>
Date:   Thu Aug 9 18:57:40 2012 +0200

    respect flags
    use pkg-config
    use LDADD instead of LDFLAGS for libs

--- configure.ac
+++ configure.ac
@@ -16,14 +16,6 @@
 
 AC_SUBST(dunelegacydatadir)
 
-dnl Some flags for gcc
-CXXFLAGS="-O3 -pipe -pedantic -Wall -Wextra -Wno-unused-parameter -DNDEBUG"
-dnl Additional flags: -Wconversion -Wno-sign-conversion
-
-dnl Some flags for clang
-dnl CXXFLAGS="-O3 -pipe -pedantic -Weverything -Wno-sign-conversion -Wno-conversion -Wno-shadow -Wno-missing-noreturn -Wno-padded -Wno-packed -Wno-weak-vtables -Wno-c++11-narrowing -Wno-cast-align -Wno-unreachable-code -Wno-missing-prototypes -Wno-float-equal -Wno-global-constructors -Wno-exit-time-destructors -Wno-format-nonliteral -Wno-unused-macros -Wextra -Wno-unused-parameter"
-
-
 dnl test for -ffp-contract=off (gcc >= 4.6) and use -mno-fused-madd instead
 oldCFLAGS="$CFLAGS"
 CFLAGS="-ffp-contract=off"
@@ -33,34 +25,14 @@
 )
 CFLAGS="$oldCFLAGS"
 
-case "$target_cpu" in
-i*86) CXXFLAGS="$CXXFLAGS -mfpmath=sse -msse";;
-esac
-
-AC_ARG_ENABLE([debug],
-            [AS_HELP_STRING([--enable-debug],
-              [compile with debug information @<:@default=disabled@:>@])],
-            [],
-            [])
-
-if test "$enable_debug" = "yes" ; then
-	CXXFLAGS="$CXXFLAGS -g"
-fi
 
 dnl Check for SDL library
 SDL_VERSION=1.2.0
-AM_PATH_SDL($SDL_VERSION, : , AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!]))
+PKG_CHECK_MODULES([SDL], [sdl >= $SDL_VERSION SDL_mixer])
 CFLAGS="$CFLAGS $SDL_CFLAGS"
 CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
 LIBS="$LIBS $SDL_LIBS"
 
-dnl Check for SDL_mixer library.
-AC_CHECK_LIB(SDL_mixer, 
-       Mix_OpenAudio, 
-       LIBS="$LIBS -lSDL_mixer", 
-       AC_MSG_ERROR([*** SDL_mixer library not found!]) 
-)
-
 dnl enet defines
 AC_CHECK_FUNC(gethostbyaddr_r, [AC_DEFINE(HAS_GETHOSTBYADDR_R)])
 AC_CHECK_FUNC(gethostbyname_r, [AC_DEFINE(HAS_GETHOSTBYNAME_R)])
